Set Config
curl --request POST \
--url https://api.velt.dev/v1/notifications/config/set \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentIds": [
"<string>"
],
"userIds": [
"<string>"
],
"config": {
"inbox": "<string>",
"email": "<string>",
"slack": "<string>"
}
}
}
'import requests
url = "https://api.velt.dev/v1/notifications/config/set"
payload = { "data": {
"organizationId": "<string>",
"documentIds": ["<string>"],
"userIds": ["<string>"],
"config": {
"inbox": "<string>",
"email": "<string>",
"slack": "<string>"
}
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentIds: ['<string>'],
userIds: ['<string>'],
config: {inbox: '<string>', email: '<string>', slack: '<string>'}
}
})
};
fetch('https://api.velt.dev/v1/notifications/config/set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "User config set successfully.",
"data": {
"USER_ID1": {
"success": true,
"userId": "USER_ID1",
"documentId": "doc1",
"message": "User config set successfully."
}
}
}
}
Notifications
Set Config
POST
/
v1
/
notifications
/
config
/
set
Set Config
To use this API, you must have the this feature enabled in Velt console
Endpoint
POST https://api.velt.dev/v1/notifications/config/set
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Show properties
Show properties
string
required
The ID of the organization.
string[]
required
An array of document IDs. The notification configuration will be applied to these documents for the specified users.
string[]
required
An array of user IDs. The notification configuration will be set for these users.
object
required
Object containing the notification preferences.
Show properties
Show properties
string
In-app inbox notification preference. Valid values:
ALL: User receives all notifications in their inbox.MINE: User receives notifications in their inbox only for activities directly involving them (e.g., mentions, replies).NONE: User receives no notifications in their inbox.
string
Email notification preference. Valid values:
ALL: User receives email notifications for all activities.MINE: User receives email notifications only for activities directly involving them.NONE: User receives no email notifications.
string
Slack notification preference (requires Slack integration to be effective). Valid values:
ALL: User receives Slack notifications for all activities.MINE: User receives Slack notifications only for activities directly involving them.NONE: User receives no Slack notifications.
Example Request
{
"data": {
"organizationId": "org1",
"documentIds": ["doc1"],
"userIds":["USER_ID1"],
"config":{
"inbox": "ALL", // ALL | MINE | NONE
"email": "ALL" // ALL | MINE | NONE
}
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "User config set successfully.",
"data": {
"USER_ID1": {
"success": true,
"userId": "USER_ID1",
"documentId": "doc1",
"message": "User config set successfully."
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "User config set successfully.",
"data": {
"USER_ID1": {
"success": true,
"userId": "USER_ID1",
"documentId": "doc1",
"message": "User config set successfully."
}
}
}
}
Was this page helpful?
⌘I

